##
##  squid.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_maj  2
%define       V_min  5
%define       V_rev  1

#   package information
Name:         squid
Summary:      Character Set Conversion Tool
URL:          http://www.squid-cache.org/
Vendor:       The Squid Project
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Web
License:      GPL
Version:      %{V_maj}.%{V_min}.%{V_rev}
Release:      20021127

#   list of sources
Source0:      http://www.squid-cache.org/Versions/v%{V_maj}/%{V_maj}.%{V_min}/squid-%{V_maj}.%{V_min}.STABLE%{V_rev}.tar.gz
Source1:      rc.squid

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Squid is a full-featured Web proxy which supports proxying and
    caching of HTTP, FTP, and other URL's; proxying for SSL cache
    hierarchies; supporting ICP, HTCP, and CARP; supports Cache Digests
    transparent caching, etc.

%prep
    %setup -q -n squid-%{V_maj}.%{V_min}.STABLE%{V_rev}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/squid \
        --localstatedir=%{l_prefix}/var/squid \
        --datadir=%{l_prefix}/share/squid \
        --disable-ident-lookups \
        --enable-err-language=English \
        --enable-storeio="ufs diskd null" \
        --enable-removal-policies="lru heap" \
        --enable-cache-digests \
        --enable-forw-via-db \
        --enable-snmp \
        --enable-useragent-log
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT

    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/squid

    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"

    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/Run*
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/RunCache
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/squid/*.default
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/squid/*.orig
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/squid/errors/[A-D]*
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/squid/errors/Es*
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/squid/errors/[F-Z]*

    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/var/squid/logs
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/var/squid/cache

    %{l_shtool} subst \
        -e 's;^# \(cache_mgr\).*;\1 %{l_musr};' \
        -e 's;^# \(cache_effective_user\).*;\1 %{l_musr};' \
        -e 's;^# \(cache_effective_group\).*;\1 %{l_mgrp};' \
        $RPM_BUILD_ROOT%{l_prefix}/etc/squid/squid.conf
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/squid/squid.conf.orig

    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.squid} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/squid/squid.conf'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    if [ $1 -eq 1 ]; then
        $RPM_INSTALL_PREFIX/bin/squid -z >/dev/null 2>&1
    fi

%preun
    if [ $1 -eq 0 ]; then
        rm -rf $RPM_INSTALL_PREFIX/var/squid/cache/[0-9ABCDEF][0-9ABCDEF] >/dev/null 2>&1
    fi

